#!/bin/bash

set -e

VERSION='0.1.1'

echo '***************************************************'
echo
echo Aktuelles Arbeitsverzeichniss: && pwd
echo
echo '***************************************************'
echo

docker stop portainer backend cups

mkdir -p wrapper



# curl -X GET -O -L \
# --url https://pas@bitbucket.org/pas/wrapper_pub/get/wrapper_v_$VERSION.zip \
# --header 'Authorization: false'

echo
echo '***************************************************'
echo
unzip -q wrapper_v_$VERSION -d wrapper/src
echo
echo '***************************************************'
cd wrapper/src

rm -f -R wrapper_v_$VERSION

mv pas-wrapper* wrapper_v_$VERSION

cd wrapper_v_$VERSION

echo Aktuelles Arbeitsverzeichniss: && pwd

echo '***************************************************'
echo
docker -v

echo
echo '***************************************************'
echo
docker-compose -v
echo
echo '***************************************************'

echo
docker-compose -f ./docker-compose.yml -p wrapper  up -d
echo

open http://localhost

#debian?
#xdg-settings get default-web-browser

exit(0)
