import logging

# Set the format for logging info
rfh = logging.handlers.RotatingFileHandler(
    filename='wrapper.log',
    maxBytes=50*1024,
    backupCount=1,
)

logging.basicConfig(level=logging.INFO,
                    format='%(asctime)s - %(message)s',
                    datefmt='%Y-%m-%d %H:%M:%S',
                    handlers=[
                        rfh
                    ]
                    )


